Skip to content

List agents

Request

Lists all agents/admins in an organization. It is possible to filter by one of the mutually exclusive parameters: email or phone number. In case both are provided, an error is returned.

Security
ApiKeyAuth
Query
pageLimitinteger, (int32)

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

pageKeystring

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

emailstring

The agent/admin email filter

phonestring

The agent/admin phone number filter

GET
/v1/agents
curl -i -X GET \
  'https://dev.dixa.io/v1/agents?pageLimit=0&pageKey=string&email=string&phone=string' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

The list of agents/admins

Bodyapplication/json
dataArray of objects(Agent)
metaobject(PaginationLinks)
Response
{ "data": [ {}, {}, {}, {} ] }